<html>
<head>
<title>Class Members - Typedefs - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li class="current"><a href="functions_type.html"><span>Typedefs</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
      <li><a href="functions_prop.html"><span>Properties</span></a></li>
      <li><a href="functions_rela.html"><span>Related&#160;Functions</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_type.html#index_a"><span>a</span></a></li>
      <li><a href="functions_type_0x62.html#index_b"><span>b</span></a></li>
      <li><a href="functions_type_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="functions_type_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="functions_type_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="functions_type_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="functions_type_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="functions_type_0x68.html#index_h"><span>h</span></a></li>
      <li class="current"><a href="functions_type_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="functions_type_0x6b.html#index_k"><span>k</span></a></li>
      <li><a href="functions_type_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="functions_type_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="functions_type_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="functions_type_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="functions_type_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="functions_type_0x71.html#index_q"><span>q</span></a></li>
      <li><a href="functions_type_0x72.html#index_r"><span>r</span></a></li>
      <li><a href="functions_type_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="functions_type_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="functions_type_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="functions_type_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="functions_type_0x77.html#index_w"><span>w</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
&#160;

<h3><a class="anchor" id="index_i"></a>- i -</h3><ul>
<li>IBufMap
: <a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html#aaa440fddd2249c96890533c6d20e21a6">Ogre::Terrain::DefaultGpuBufferAllocator</a>
</li>
<li>IdMap
: <a class="el" href="classOgre_1_1ScriptCompiler.html#a531409453a40d14d982bb5d054153edb">Ogre::ScriptCompiler</a>
</li>
<li>IlluminationPassIterator
: <a class="el" href="classOgre_1_1Technique.html#a77a239a5901d2c67add2e7cea0bf3468">Ogre::Technique</a>
</li>
<li>ImportCacheMap
: <a class="el" href="classOgre_1_1ScriptCompiler.html#ae1e08188000204dffca7ba431b4071bd">Ogre::ScriptCompiler</a>
</li>
<li>ImportRequestMap
: <a class="el" href="classOgre_1_1ScriptCompiler.html#a7ff668684ea16dcccc5ec10e61641149">Ogre::ScriptCompiler</a>
</li>
<li>IndexBufferList
: <a class="el" href="classOgre_1_1HardwareBufferManagerBase.html#a2b2a1446c08ef1bb58c47987b62d83d0">Ogre::HardwareBufferManagerBase</a>
</li>
<li>IndexDataList
: <a class="el" href="classOgre_1_1TangentSpaceCalc.html#a5aa76640242555497cf5decebb2eee97">Ogre::TangentSpaceCalc</a>
</li>
<li>IndexMap
: <a class="el" href="classOgre_1_1Mesh.html#a4ee5e3c78d17a1940ded9419644260ce">Ogre::Mesh</a>
, <a class="el" href="classOgre_1_1SubMesh.html#a5318d83d57e4d1599fecb00506c82996">Ogre::SubMesh</a>
</li>
<li>IndexRemap
: <a class="el" href="classOgre_1_1InstancedGeometry.html#a90401da75e78fbef8f0a3beba5d2375b">Ogre::InstancedGeometry</a>
, <a class="el" href="classOgre_1_1StaticGeometry.html#a00e9b336c8a40222003c224bcdd64a78">Ogre::StaticGeometry</a>
</li>
<li>IndexRemapList
: <a class="el" href="classOgre_1_1TangentSpaceCalc.html#a2ac32473675f968018e1dee1cbcf9cbe">Ogre::TangentSpaceCalc</a>
</li>
<li>IndexVector
: <a class="el" href="classOgre_1_1RibbonTrail.html#a5da4a331e90917db5a67dfe4e70666ba">Ogre::RibbonTrail</a>
</li>
<li>IndexVertexPair
: <a class="el" href="classOgre_1_1ProgressiveMesh.html#a2ead62fe5344ec3acf8938e7ca3b57b8">Ogre::ProgressiveMesh</a>
</li>
<li>InstanceBatchIterator
: <a class="el" href="group__Scene.html#ga81a850f3da3dc22baa6d8fbd68a1723f">Ogre::InstanceManager</a>
</li>
<li>InstanceBatchMap
: <a class="el" href="group__Scene.html#ga2ee4131bd90f78a8f66acb0649e830ee">Ogre::InstanceManager</a>
</li>
<li>InstanceBatchMapIterator
: <a class="el" href="group__Scene.html#ga449864e9fe068c83c3955dfcc112a2d1">Ogre::InstanceManager</a>
</li>
<li>InstanceBatchVec
: <a class="el" href="group__Scene.html#ga38c19279985051c8c65d6df62bfb8f86">Ogre::InstanceManager</a>
</li>
<li>InstancedEntityVec
: <a class="el" href="group__Scene.html#gaf9139328908d3ca39478897bae89b33a">Ogre::InstanceBatch</a>
, <a class="el" href="group__Scene.html#gaafff23952db909d80163ae29411d4710">Ogre::InstancedEntity</a>
</li>
<li>InstancedGeometryList
: <a class="el" href="classOgre_1_1SceneManager.html#a2091430fab5446019fc276d6b531dfb4">Ogre::SceneManager</a>
</li>
<li>InstancedObjectIterator
: <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#aee84583c303172229a957ff7933a05a4">Ogre::InstancedGeometry::BatchInstance</a>
</li>
<li>InstanceIterator
: <a class="el" href="classOgre_1_1CompositorChain.html#ab6a0110a3e6e1cc2c45a6aa7e6d15e20">Ogre::CompositorChain</a>
</li>
<li>InstanceManagerMap
: <a class="el" href="classOgre_1_1SceneManager.html#aeb7beb7e3723ebd4199c5a8f727a5829">Ogre::SceneManager</a>
</li>
<li>InstanceManagerVec
: <a class="el" href="classOgre_1_1SceneManager.html#ab5e6988d5a1835b6c80c74f594b8c2bc">Ogre::SceneManager</a>
</li>
<li>Instances
: <a class="el" href="classOgre_1_1CompositorManager.html#a538be80b105f72d205af2e7d43fea837">Ogre::CompositorManager</a>
, <a class="el" href="classOgre_1_1CompositorChain.html#ac6b8bed59c322b3466fd61a0663923e6">Ogre::CompositorChain</a>
, <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a65139ae5132fad9d21fae64c0b22ceb4">Ogre::SceneManagerEnumerator</a>
</li>
<li>IsValidAlignment
: <a class="el" href="classOgre_1_1NedAlignedAllocPolicy.html#a703287276dd2ffe42a9e80d50e7a3b1d">Ogre::NedAlignedAllocPolicy&lt; Alignment &gt;</a>
, <a class="el" href="classOgre_1_1StdAlignedAllocPolicy.html#aab20b04cef620b603f5877fd48b53e5b">Ogre::StdAlignedAllocPolicy&lt; Alignment &gt;</a>
, <a class="el" href="classOgre_1_1NedPoolingAlignedPolicy.html#a9a6d7904162746fdd20d8c5821154108">Ogre::NedPoolingAlignedPolicy&lt; Alignment &gt;</a>
</li>
<li>ItemList
: <a class="el" href="classOgre_1_1Pool.html#a22614f3605b9a41e48143b472bf0bf57">Ogre::Pool&lt; T &gt;</a>
</li>
<li>iterator
: <a class="el" href="classOgre_1_1SmallVectorImpl.html#a9a1d14b49afc3807af68fd5f2ef6238c">Ogre::SmallVectorImpl&lt; T &gt;</a>
, <a class="el" href="classOgre_1_1SmallVectorTemplateCommon.html#ad3aa63daaa8c3754f1e8be544cb617ae">Ogre::SmallVectorTemplateCommon&lt; T &gt;</a>
, <a class="el" href="structOgre_1_1list.html#a53279ede0055c4e2bfc52708035b80b4">Ogre::list&lt; T, A &gt;</a>
, <a class="el" href="structOgre_1_1deque.html#adef10edbb5a79b34333ccc22d485ddcb">Ogre::deque&lt; T, A &gt;</a>
, <a class="el" href="structOgre_1_1set.html#a7d2913cc00295c34e16f98fc50d6baae">Ogre::set&lt; T, P, A &gt;</a>
, <a class="el" href="structOgre_1_1vector.html#a0d94bfcf99dd03e461a947971c162dcc">Ogre::vector&lt; T, A &gt;</a>
, <a class="el" href="structOgre_1_1multimap.html#af555fe7aa58ed46d909211dcda447ef9">Ogre::multimap&lt; K, V, P, A &gt;</a>
, <a class="el" href="classOgre_1_1HashedVector.html#a9e1f2a609eb5a7be9cc3d51b49f755df">Ogre::HashedVector&lt; T &gt;</a>
, <a class="el" href="classOgre_1_1iterator__range.html#a506c90799fd48937b85cbd37497fcf1b">Ogre::iterator_range&lt; T &gt;</a>
, <a class="el" href="structOgre_1_1map.html#a1fa40220d3413b620dc9855d5cab1b96">Ogre::map&lt; K, V, P, A &gt;</a>
, <a class="el" href="classOgre_1_1IteratorWrapper.html#a22c1c22fab97253a922a190d2ace205e">Ogre::IteratorWrapper&lt; T, IteratorType, ValType &gt;</a>
</li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:34
</p>
</body>
</html>
